<bugID>1031609<Summary>Initial compatibility shims for e10s</Summary><Description>I think it makes sense to put all the initial shims in one bug. The initial setup is as follows:

multiprocessShims.js - This is an XPCOM service that gets notified whenever an add-on calls a method on some browser object outside the add-on (a DOM node or the observer service or whatever).

RemoteAddonsParent.jsm - This module is loaded by multiprocessShims.js and contains the parent-side implementations of all the individual shims.

RemoteAddonsChild.jsm - This is the child-side analog of RemoteAddonsParent.jsm.</Description></bugID>